// J.P.Abulencia and L.Theodore,Fluid Flow for the Practicing Chemical Engineer. John Wiley & Sons,Inc.,USA, 2009.
// Edition : 1
// Chapter : 7 Conservation Law For Mass
// Illustrative Example 7.1 Page Number 64
// Title - Mass flow rate
//========================================================================
model Ex7_1
//////Parameter section///////////////////////
//============================================
    parameter Real mw(unit="kg/hr")=4000           "Mass flow rate of waste into the incinerator";
    parameter Real ma(unit="kg/hr")=6000           "Mass flow rate of air";
    parameter Real mm(unit="kg/hr")=550            "Mass flow rate of methane ";
//============================================= 
///////Variable section///////////////////////////
    Real min(unit="kg/hr")                         "Mass flow rate in ";
    Real mout(unit="kg/hr")                        "Mass flow rate out";
//============================================== 
//Equation Section
equation
    min=mw+ma+mm;
    mout=min;
end Ex7_1;
//Remark: The answer provided in the textbook is wrong as the value of mass flow rate of air is taken as 8000 kg/hr instead of 6000 kg/hr
//============================================================================
